%global momorel 18

%global use_firefox_js   0
%global use_xulrunner_js 1
%global gecko_dev_ver 1.9.0.2
%global gecko_libs_ver %{gecko_dev_ver}

Name: gxine
Summary: GTK frontend for the xine multimedia library
Version: 0.5.11
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.xinehq.de/
Source0: http://dl.sourceforge.net/sourceforge/xine/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: gxine-0.5.8-lirc.patch
Patch1: gxine-0.5.11-keep-wnd-state.patch
Patch2: gxine-0.5.11-xine-version-check.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gecko-devel = %{gecko_dev_ver}
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gtk2-devel
#fedora: Buildrequires:  xine-lib-devel
#momonga
Buildrequires:  xine-lib

# for dbus support
BuildRequires:  dbus-glib-devel
# for LIRC support (not available only for fedora)
%if 0%{?fedora}
BuildRequires:  lirc-devel
%endif
# for XTest support
BuildRequires:  libXtst-devel
# for mozplugin
BuildRequires:  libXaw-devel
BuildRequires:  nspr-devel

%if 0%{?use_xulrunner_js}
Requires:       gecko-libs = %{gecko_libs_ver}
%endif
%if 0%{?use_firefox_js}
Requires:  	firefox
%endif
Requires: gtk2, xine-lib
Prereq: gtk2-common

%description
gxine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.
gxine is a gtk based gui for this xine-library alternate to xine-ui.

%package mozplugin
Summary:  Mozilla plugin for gxine
Group:    Applications/Internet
Requires: %{name} = %{version}-%{release}
%if 0%{?use_xulrunner_js}
Requires: xulrunner
%else
%if 0%{?use_firefox_js}
Requires: firefox
%else
Requires: %{_libdir}/mozilla/plugins
%endif
%endif

%description mozplugin
This plugin allows gxine to be embedded in a web browser.

%prep
%setup -q

%patch0 -p1 -b .lirc
%patch1 -p1 -b .keep-wnd-state
%patch2 -p1 -b .xine-version-check

%{__sed} -i 's/Name=gxine/Name=GXine Video Player/' gxine.desktop
%{__sed} -i 's/Exec=gxine/Exec=gxine %U/' gxine.desktop

%build
%configure --with-dbus --with-logo-format=image --with-browser-plugin --disable-integration-wizard

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove .las
%{__rm} %{buildroot}%{_libdir}/gxine/*.la

# Move Mozilla plugin
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/
mv %{buildroot}%{_libdir}/gxine/gxineplugin.so %{buildroot}%{_libdir}/mozilla/plugins/
# Not supported yet - check bz #213041
%find_lang %{name} --all-name

desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications             \
  --mode 0644                                            \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-, root, root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%dir %{_sysconfdir}/gxine/
%config(noreplace) %{_sysconfdir}/gxine/gtkrc
%config(noreplace) %{_sysconfdir}/gxine/keypad.xml
%config(noreplace) %{_sysconfdir}/gxine/startup
%config(noreplace) %{_sysconfdir}/gxine/toolbar*.xml
%{_bindir}/gxine*
%{_mandir}/man1/gxine*.1*
%lang(de) %{_mandir}/de/man1/gxine*.1*
%{_datadir}/gxine/
%{_datadir}/pixmaps/gxine.png
%{_datadir}/icons/*/*/apps/gxine.png
%{_datadir}/applications/gxine.desktop

%files mozplugin
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/mozilla/plugins/gxineplugin.so

%changelog
* Wed Sep 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.11-18m)
- rebuild against xulrunner-1.9.0.2-1m

* Sun Jul 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.11-17m)
- rebuild against xulrunner-1.9.0.1-1m

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.11-16m)
- remove Requires: firefox 

* Sun Apr 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.11-15m)
- rebuild against firefox-3

* Thu Apr 17 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.11-14m)
- rebuild against firefox-2.0.0.14

* Fri Apr  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.11-13m)
- import xine-version-check.patch from Fedora (to correct xine-lib's version checking)
#'

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.11-12m)
- rebuild against gcc43

* Thu Mar 27 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.5.11-11m)
- rebuild against firefox-2.0.0.13

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.11-10m)
- rebuild against firefox-2.0.0.12

* Sat Dec  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.11-9m)
- rebuild against firefox-2.0.0.11

* Wed Nov 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.11-8m)
- rebuild against firefox-2.0.0.10

* Fri Nov  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.11-7m)
- rebuild against firefox-2.0.0.9

* Fri Oct 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.11-6m)
- rebuild against firefox-2.0.0.8

* Wed Sep 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.11-5m)
- rebuild against firefox-2.0.0.7

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.11-4m)
- add Requires for firefox

* Mon Aug  6 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.5.11-3m)
- rebuild against firefox-2.0.0.6

* Sat Jul 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.11-2m)
- rebuild against firefox-2.0.0.5

* Mon Jun  4 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.5.11-1m)
- import from Fedora

* Wed May 16 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-4
- rebuild to include ppc64 arch

* Sun Mar 25 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-3
- fix rpmlint warning

* Wed Mar 14 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-2
- add patch to keep track of window state (backport from 0.6.0 branch) 

* Thu Feb 01 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-1
- Bump to new (bugfix) release
- Removed stream end crash patch - fixed in upstream

* Wed Jan 24 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-5
- Stream end crash when modal dialog opened patch: see upstream bz #1643093

* Thu Jan 18 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-4
- replace R: firefox with R: %%{_libdir}/mozilla/plugins

* Wed Jan 17 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-3
- fix BR: gettext instead of gettext-devel
- add R: firefox to mozplugin subpackage

* Thu Jan 11 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-2
- fix url
- fix require in mozplugin subpackage
- install desktop file correctly

* Thu Jan 11 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-1
- Update to upstream release 0.5.10
- Remove screensaver patch (it was approved by upstream)

* Thu Dec 28 2006 Martin Sourada <martin.sourada@seznam.cz> - 0.5.9-2
- Rebuild

* Sun Dec 17 2006 Martin Sourada <martin.sourada@seznam.cz> - 0.5.9-1.1
- Add BR dbus-devel

* Sat Dec 16 2006 Michel Salim <michel.salim@gmail.com> - 0.5.9-1
- Update to upstream release 0.5.9
- Drop logo.ogg, gxine now includes a JPEG logo

* Sat Dec 16 2006 Michel Salim <michel.salim@gmail.com> - 0.5.8-4
- Fix gnome-screensaver DBUS call
- Separate mozplugin subpackage (from Martin Sourada)
- Add missing BuildRequires

* Tue Nov  7 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.8-3
- Add libXinerama-devel , lirc-devel >= 0.8.1 in build requires
- Fix find_lang
ambiguous

* Tue Oct 31 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.8-2
- rm non-free logo
- add patch to install free-logo 
- uses %%find_lang

* Tue Oct 31 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.8-1
- Updated to 0.5.8

* Tue Sep 19 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.7-1
- write new spec file
- Updated to release 0.5.7
